/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerRequest {
    public id: string;

    public version: number;

    public name: string;

    public image: string;

    public fields: string;

    public trades: string[];

    public meta: object;

    /**
     * Creates a WorkerRequest.
     *
     * @param {string} id
     * @param {number} version
     * @param {string} name
     * @param {string} image
     * @param {string} fields
     * @param {string} trades
     * @param {object} meta
     */
    constructor(id: string, version: number, name: string, image: string, fields: string, trades: string[], meta: object) {
        this.id = id;
        this.version = version;
        this.name = name;
        this.image = image;
        this.fields = fields;
        this.trades = trades;
        this.meta = meta;
    }
}
